# Copyright (c) 2002, 2003 by Michael Gogins. All rights reserved.
# Tutorial demonstrating a MusicModel composition 
# based on a translating an image to a score.

import os
import os.path
import CsoundVST

model = CsoundVST.MusicModel()
model.setCppSound(csound)

# Create and generate ImageToScore node.
imageToScore = CsoundVST.ImageToScore()
imageToScore.setImageFilename('c:/cvs/CVSROOT/csound/CsoundVST/examples/Spinnennetz.bmp')
imageToScore.setMinimumValue(0.37)
imageToScore.generate()
print 'Generated events: ', + len(imageToScore.getScore())

# Place the ImageToScore node inside a Random node to randomize velocity and pan,
# place the Random node inside a Rescale node,
# and place the Rescale node inside the MusicModel.

random = CsoundVST.Random()
random.createDistribution("uniform_01")
random.setElement(3, 11, 1)
random.setElement(6, 11, 1)
random.setElement(7, 11, 1)
random.setElement(8, 11, 1)
rescale = CsoundVST.Rescale()
rescale.setRescale(0, 1, 1,  0,     300)
rescale.setRescale(1, 1, 1,  2.75,    4)
rescale.setRescale(3, 1, 1,  0,      27)
rescale.setRescale(4, 1, 1, 33,      60)
rescale.setRescale(5, 1, 1, 50,      16)
rescale.setRescale(7, 1, 1, -0.5,     1)
random.addChild(imageToScore)
rescale.addChild(random)

# Add these nodes to the builtin MusicModel instance.
model.addChild(rescale)

csound.load("c:/cvs/CVSROOT/csound/CsoundVST/examples/CsoundVST.csd")
csound.setCommand("csound --opcode-lib=c:/cvs/CVSROOT/csound/bin/Soundfonts.dll -RWdfo ./ImageToScore.wav ./temp.orc ./temp.sco")
model.render()


























































































































