# Copyright (c) 2002, 2003 by Michael Gogins. All rights reserved.
# Calibrate the levels and balance of all the instruments in the orchestra.
# Adjust the instrument gains until the maximum amplitude of each instrument 
# is about 10000.0, which is ampdb(80).
# Set the amplitude initially to ampdb(p5) * 10000.0 / 10000.0.
# Run the script.
# Relace the denominator with the measured amplitude; 
# that should solve the equation to produce the desired amplitude.

import os
import os.path
import CsoundVST

duration = 4.0
csound.load("c:/cvs/CVSROOT/csound/CsoundVST/examples/CsoundVST.csd")
csound.setCommand("csound --opcode-lib=c:/cvs/CVSROOT/csound/bin/Soundfonts.dll -RWdfo ./OrchestraCalibration.wav ./OrchestraCalibration.orc ./OrchestraCalibration.sco")

def playInstrument(number, time):
	for key in xrange(36, 100, 10):
		csound.addNote(number, time, duration, key, 80, 0, 0, 0, 0, 0)
		time = time + duration + 1.0
	return time

time = 0
for instrument in xrange(1, 26):
	time = playInstrument(instrument, time)

csound.exportForPerformance()
csound.perform()





























































































































