%define app csound
%define major 4
%define minor 23
%define ver %{major}.%{minor}
%define target i686
Summary: csound - Computer Sound synthesis and composition program
Name: %{app}
Version: %{ver}
Release: 1
Copyright: MIT - sources free for research and educational use
Group: Applications/Sound
Url: http://www.csound.org/
Source0: ftp://ftp.cs.bath.ac.uk/pub/dream/newest/Csound.tar.gz
Source1: ftp://ftp.cs.bath.ac.uk/pub/dream/newest/Version%{major}_%{minor}.Notes
Source2: http://mitpress.mit.edu/e-books/csound/fpage/FAQml/faq/faq.html
Source3: http://www.werewolf.net/~hljmm/csound/articles/intro.html
Packager: John ffitch <jpff@cs.bath.ac.uk>
BuildRoot: /var/tmp/%{app}-%{ver}-root

%description
Csound is a software synthesis program. But more than that, Csound doesn't
suffer the same kinds of limitations that other software & hardware
synthesizers have. There are no limits to the amount of oscillators or filters
one can use. Csound is also completely modular, so that any function
in Csound can be used in an array of ways.

%package devel
Summary: Binaries for csound
Group: Application
Copyright: MIT - sources free for research and educational use
Url: http://www.csound.org/

%description devel
Binaries for csound.

%prep
# Csound has no toplevel directory (yet), use -c to create one
%setup -q -c -n %{app}-%{ver}

# Add missing sources and objects to Makefile.lnx, correct paths of shared dir
#%patch0 -p0

%build
# make csound & utils
make INCLUDE="/usr/include" RPM_OPT_FLAGS="$RPM_OPT_FLAGS" -f Makefile

%install
[ "/" != "$RPM_BUILD_ROOT" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"/usr/share/{bin,lib}
make -f Makefile.lnx DEST="$RPM_BUILD_ROOT"/usr/share/bin SHARE="$RPM_BUILD_ROOT"/usr/share/share/csound INCLUDE="$RPM_BUILD_ROOT"/usr/include LIB="$RPM_BUILD_ROOT"/usr/share/lib MAN="$RPM_BUILD_ROOT"/usr/share/man install
strip --strip-all "$RPM_BUILD_ROOT"/usr/share/bin/* || true

%clean
[ "/" != "$RPM_BUILD_ROOT" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,0755)
%dir /usr/share/bin
/usr/share/bin/*

