%define app csound
%define major 4
%define minor 23
%define ver %{major}.%{minor}
Summary: csound - Computer Sound synthesis and composition program
Name: %{app}
Version: %{ver}
Release: 1
Copyright: MIT - sources free for research and educational use
Group: Applications/Sound
Url: http://www.csound.org/
Source0: ftp://ftp.maths.bath.ac.uk/pub/dream/newest/Csound.tar.gz
Source1: ftp://ftp.maths.bath.ac.uk/pub/dream/newest/Version%{major}_%{minor}.Notes
Packager: Klaus Knopper <knopper@knopper.net> and John ffitch
BuildRoot: /var/tmp/%{app}-%{ver}-root

%description
Csound is a software synthesis program. But more than that, Csound doesn't
suffer the same kinds of limitations that other software & hardware
synthesizers have. There are no limits to the amount of oscillators or filters
one can use. Csound is also completely modular, so that any function
in Csound can be used in an array of ways.

%package devel
Summary: Libraries and Sources for csound
Group: Development/Libraries
Copyright: MIT - sources free for research and educational use
Url: http://www.csound.org/

%description devel
Libraries and Sources for csound.

%prep
# Csound.tar.gz has no toplevel directory (yet), use -c to create one
%setup -q -c -n %{app}-%{ver}

# Add missing sources and objects to Makefile, correct paths of shared dir
#%patch0 -p0

%build
# Replace path of csound.xmg
for file in getstring.c
do
sed 's|/usr/local/lib/csound.xmg|/usr/share/csound/csound.xmg|g' $file > $file.tmp
mv -f $file.tmp $file
done
# make csound & utils
make INCLUDE="/usr/include" RPM_OPT_FLAGS="$RPM_OPT_FLAGS" \
     -f Makefile.lnx

%install
[ "/" != "$RPM_BUILD_ROOT" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"/usr/share/{bin,lib,man/man1,src}
make -f Makefile.lnx DEST="$RPM_BUILD_ROOT"/usr/share/bin SHARE="$RPM_BUILD_ROOT"/usr/share/share/csound INCLUDE="$RPM_BUILD_ROOT"/usr/share/include LIB="$RPM_BUILD_ROOT"/usr/share/lib MAN="$RPM_BUILD_ROOT"/usr/share/man install manpp
strip --strip-all "$RPM_BUILD_ROOT"/usr/share/bin/* || true

# Make Source archive
make -f Makefile.lnx clean
GZIP=-9 tar -C .. -zcvf "$RPM_BUILD_ROOT"/usr/share/src/%{app}-%{ver}.tar.gz %{app}-%{ver}

# Copy various docs
install -m 644 %{SOURCE1} %{SOURCE2} %{SOURCE3} .

%clean
[ "/" != "$RPM_BUILD_ROOT" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,0755)
/usr/share/lib/*
/usr/share/bin/*
# /usr/share/man/man1/*
%doc Version%{major}_%{minor}.Notes faq.html intro.html

%files devel
%defattr(-,root,root,755)
/usr/share/include/*
/usr/share/lib/*
/usr/share/src/%{app}-%{ver}.tar.gz
%doc ChangeLog

